Subject: Re: bug#13904: A bug in guile's newest documentation.

From: Daniel Hartwig <[email-masked]>
Date: Sat, 9 Mar 2013 08:52:06 +0800

Hello

On 8 March 2013 16:39, Patrick Pan <[email-masked]> wrote:
> 6.9.8 Procedures with Setters
>
> A procedure with setter is a special kind of procedure which normally
> behaves like any
> accessor procedure, that is a procedure which accesses a data
> structure. The difference is
> that this kind of procedure has a so-called setter attached, which is
> a procedure for storing
> something into a data structure.
> Procedures with setters are treated specially when the procedure
> appears in the special
> form set! (REFFIXME). How it works is best shown by example.
> Suppose we have a procedure called foo-ref, which accepts two
> arguments, a value of
> type foo and an integer. The procedure returns the value stored at the
> given index in the
> foo object. Let f be a variable containing such a foo data structure.
>
>

> Mind the 'REFFIXME'.

Is that the issue you are reporting?

Marks such as this (e.g. ‘FIXME’, ‘TODO’) appear in many places as a
reminder to fix or work on something in the future.  I suppose in this
case it is to cross-reference with the definition of ‘set!’, which
appears absent except for a brief note under _rnrs base_, and informal
definition in _Hello Scheme!_

Generally, I don't think we also need bug reports to track this.